/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class TagResponse {
    public mac: string;

    public version: number;

    public internalId: string;

    public fields: string;

    public labels: string[];

    /**
     * Creates a TagResponse.
     *
     * @param {string} mac
     * @param {number} version
     * @param {string} internalId
     * @param {string} fields
     * @param {string} labels
     */
    constructor(mac: string, version: number, internalId: string, fields: string, labels: string[]) {
        this.mac = mac;
        this.version = version;
        this.internalId = internalId;
        this.fields = fields;
        this.labels = labels;
    }
}
